Subject: bug#5328: 23.1.90; Selective display in Gnus summary broken

From: Katsumi Yamaoka <[email-masked]>
Date: Wed, 06 Jan 2010 09:10:08 +0900

>>>>> Andreas Schwab wrote:
> I have now checked this patch into the emacs repo to fix the bug.

> Andreas.

> 2010-01-05  Andreas Schwab  <[email-masked]>

> 	* gnus-sum.el (gnus-forward-line-ignore-invisible): New function.
> 	(gnus-summary-recenter): Use it instead of forward-line.  (Bug#5257)

I've replaced `invisible-p', `next-char-property-change' and
`previous-char-property-change' with the `gnus-' prefixed ones
installed in gnus-util.el for the compatibility with various
Emacs versions that Gnus supports.  Thanks.